//--------------------------------------------------------------------------
// Game.hh - Class header for the Game class
//
// Matthew E. Moses & Michael A. Long
//
// $Revision: 1.5 $
// $Date: 2002/07/02 00:05:19 $
//
// $Log: Game.hh,v $
// Revision 1.5  2002/07/02 00:05:19  tridge
// got rid of a bunch of RCS tags now that its in CVS
//
// Revision 1.4  2002/07/02 00:02:40  tridge
// - fixed compile on g++ 2.96
// - updated for lasker 'rmatch'
//
// Revision 1.3  1998/09/10 19:58:41  mlong
// lots of little bug fixes and a few new features.
//
// Revision 1.2  1998/04/29 15:24:07  mlong
// prepairing for the move to daimi
// new sorting routine.
//
// Revision 1.1  1997/07/18 15:42:58  chess
// Initial revision
//
//
//--------------------------------------------------------------------------

#ifndef _Game_
#define _Game_

#include <fstream.h>
#include <iostream.h>

extern "C" {
#include <sys/param.h>
#include <sys/types.h>

#include <ctype.h>
#include <errno.h>
#include <stdlib.h>
#include <string.h>
#include <strings.h>
#include <sys/stat.h>

#include <time.h>
#include <unistd.h>
}

#include "config.h"
#include "User.hh"
#include "link.hh"
#include "linklist.hh"

class Game : public Link {
public:

  Game(char *, char *, int, int, int, char);
  ~Game();
  
int IsGame(char *, char *, int, int, int, char);

private:

public:

  char whiteName[NAMELEN];
  char blackName[NAMELEN];
  int rated;
  int time;
  int inc;
  char variation;
  int gameNumber;

private:

};


#endif






